Loading...
Searching...
No Matches
clean_temp.c File Reference
`#include <grass/config.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <signal.h>`
`#include <unistd.h>`
`#include <time.h>`
`#include <sys/types.h>`
`#include <dirent.h>`
`#include <sys/stat.h>`
`#include <grass/gis.h>`
`#include "local_proto.h"`
`#include <limits.h>`
`#include <string.h>`
`#include <errno.h>`
Include dependency graph for clean_temp.c:

Go to the source code of this file.

## Macros

#define | BUF_MAX 4096
#define | SLEEP 30 /* 30 seconds */

## Functions

void | clean_dir (const char *pathname, uid_t uid, pid_t pid, time_t now, int max_age)
int | main (int argc, char *argv[])
int | find_process (int pid)

## Macro Definition Documentation

## BUF_MAX

#define BUF_MAX 4096

Definition at line 33 of file clean_temp.c.

Referenced by clean_dir(), and main().

## SLEEP

#define SLEEP 30 /* 30 seconds */

Definition at line 36 of file clean_temp.c.

Referenced by main().

## Function Documentation

## clean_dir()

void clean_dir | ( | const char * | pathname,
|  | uid_t | uid,
|  | pid_t | pid,
|  | time_t | now,
|  | int | max_age )

Definition at line 39 of file clean_temp.c.

References BUF_MAX, clean_dir(), find_process(), G_fatal_error(), G_strcasecmp(), G_warning(), and NULL.

Referenced by clean_dir(), and main().

## find_process()

int find_process | ( | int | pid | ) |

Definition at line 172 of file clean_temp.c.

Referenced by clean_dir(), and main().

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 120 of file clean_temp.c.

References BUF_MAX, clean_dir(), find_process(), G_file_name(), G_mapset(), G_sleep(), G_temp_element(), NULL, and SLEEP.